---

- name: Add nvidia-docker Release Key
  apt_key:
    url: https://nvidia.github.io/nvidia-docker/gpgkey
    state: present

- name: Download nvidia-docker.list
  get_url:
    url: "https://nvidia.github.io/nvidia-docker/{{ distro }}/nvidia-docker.list"
    dest: /etc/apt/sources.list.d/nvidia-docker.list
    mode: 0644

- name: Apt Update
  apt:
    update_cache: yes

- name: Install nvidia-container-runtime
  apt:
    name: "nvidia-container-runtime={{ nvidia_container_runtime_version }}+docker{{ nvidia_docker_docker_version }}-*"
    state: present
  notify: Restart Docker

- name: Install nvidia-docker
  apt:
    name: "nvidia-docker2={{ nvidia_docker_version }}+docker{{ nvidia_docker_docker_version }}-*"
    state: present
  notify: Restart Docker